Bug 1125934 - [GSS] (6.4.z) access-log does not log 404 for non-existent context when enable-welcome-root is set to false in EAP 6
Summary: [GSS] (6.4.z) access-log does not log 404 for non-existent context when enabl...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: EAP 6.4.1
Assignee: Panagiotis Sotiropoulos
QA Contact: Radim Hatlapatka
Russell Dickenson
URL:
Whiteboard:
Depends On:
Blocks: 983858
TreeView+ depends on / blocked
 
Reported: 2014-08-01 11:29 UTC by Radim Hatlapatka
Modified: 2018-12-02 17:13 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
Cause: ?? Consequence: Workaround (if any): Result:
Clone Of: 983858
Environment:
Last Closed: 2015-04-12 10:51:44 UTC
Type: Bug


Attachments (Terms of Use)
BZ1125934 6.x patch (1.81 KB, patch)
2015-03-19 14:27 UTC, Panagiotis Sotiropoulos
cdewolf: review? (rmaucher)
Details | Diff

Description Radim Hatlapatka 2014-08-01 11:29:12 UTC
+++ This bug was initially created as a clone of Bug #983858 +++

Description of problem:

access-log setting does not log 404 for non-existent context when enable-welcome-root is set to false in EAP 6


Steps to Reproduce:

1. Configure web subsysmte to set enable-welcome-root to "false" and enable access-log. For example:

        <subsystem xmlns="urn:jboss:domain:web:1.4" default-virtual-server="default-host" native="false">
            <connector name="http" protocol="HTTP/1.1" scheme="http" socket-binding="http"/>
            <virtual-server name="default-host" enable-welcome-root="false">
                <alias name="localhost"/>
                <alias name="example.com"/>
                <access-log/>
            </virtual-server>
        </subsystem>

2. Access non-existent context and get 404 like:

    curl -v http://localhost:8080/foobar

3. Check the access log


Actual results:

Nothing is logged in the access logging.


Expected results:

404 should be logged in the access logging.

--- Additional comment from Radim Hatlapatka on 2014-08-01 07:26:49 EDT ---

The issue still valid in latest build EAP 6.3.0.ER10.

Comment 3 Panagiotis Sotiropoulos 2015-03-19 14:27:43 UTC
Created attachment 1003853 [details]
BZ1125934 6.x patch

Comment 4 Panagiotis Sotiropoulos 2015-03-19 14:28:52 UTC
Patch uploaded.

Comment 9 Panagiotis Sotiropoulos 2015-04-12 10:51:44 UTC
Moving to WONTFIX, as per https://bugzilla.redhat.com/show_bug.cgi?id=983858.


Note You need to log in before you can comment on or make changes to this bug.